> ## Documentation Index
> Fetch the complete documentation index at: https://docs.accountingplus.id/llms.txt
> Use this file to discover all available pages before exploring further.

# List Bank

> Retrieve a list of banks

```text Plain Signature wrap theme={null}
path=/v1/banks&token=YOUR_TOKEN&email=john@gmail.com&tenant_id=841eaf97-c428-47d1-9f6d-c61cc9df7bee
```


## OpenAPI

````yaml GET /v1/banks
openapi: 3.1.0
info:
  title: Accounting+ API
  description: >-
    A comprehensive accounting API that provides endpoints for managing bank
    cash flow vouchers and journal transactions
  version: 1.0.0
servers:
  - url: https://staging-openapi.accountingplus.id
    description: Main API Server
    variables:
      url:
        default: https://staging-openapi.accountingplus.id
        description: The API base URL
security:
  - bearerAuth: []
    signatureKey: []
    dataKey: []
tags:
  - name: Vouchers
    description: Bank cash flow voucher management
  - name: Journals
    description: Journal transaction management
  - name: Purchase Invoices
    description: Purchase invoice management
paths:
  /v1/banks:
    get:
      tags:
        - Banks
      summary: List Banks
      description: Retrieve a list of banks
      parameters:
        - name: limit
          in: query
          description: Number of items per page
          schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 10
        - name: page
          in: query
          description: Page number for pagination
          schema:
            type: integer
            minimum: 1
            default: 1
        - name: search
          in: query
          description: Search by bank name or code
          schema:
            type: string
      responses:
        '200':
          description: List of banks retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BankListResponse'
components:
  schemas:
    BankListResponse:
      type: object
      properties:
        status:
          type: string
          example: '00'
        message:
          type: string
          example: success
        data:
          type: array
          items:
            $ref: '#/components/schemas/Banks'
        metadata:
          $ref: '#/components/schemas/Metadata'
    Banks:
      type: object
      properties:
        bank_code:
          type: string
        bank_name:
          type: string
      example:
        - bank_code: BCA
          bank_name: Bank Central Asia
        - bank_code: BRI
          bank_name: Bank Rakyat Indonesia
        - bank_code: BNI
          bank_name: Bank Negara Indonesia
    Metadata:
      type: object
      properties:
        total:
          type: integer
          example: 3
        limit:
          type: integer
          example: 10
        offset:
          type: integer
          example: 0
        current_page:
          type: integer
          example: 1
        total_pages:
          type: integer
          example: 1
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Generate a JWT signed with the `client_secret` and include the
        `client_id` as a claim in its payload.
    signatureKey:
      type: apiKey
      in: header
      name: A-Signature
      description: >-
        Generate the signature by creating an `SHA256-HMAC` hash from the plain
        signature above, using the `signature_secret` as the key. Then,
        `Base64-encode` the resulting hash and place the final value in the
        A-Signature header.
    dataKey:
      type: apiKey
      in: header
      name: A-Data
      description: Include the `email` and `tenant_id` in the payload as Base64 encoded.

````